Views: 1939
Number of votes: 0
Average rating:

Getting “Error–<domain user> is not a valid user or group”, when upgrading?

I’ve upgraded a lot of sites in my days, but I still run into new errors. Even when you do it the right way, by upgrading the test-environment and collect as much information you can, there is still a chance it won’t work on the production servers. This error was one of those times…

At first I tried all the obvious things, like check if account was locked, did it have all the correct permissions etc. When all of this was confirmed I really didn’t have much more ideas. But then it hit me! I checked the account in Active Directory once more, and saw that the account name was so long, the “pre-Windows 2000”-name was truncated. For some reason, EPiServer Deployment Center uses this legacy login name during upgrade, and when the name is truncated it won’t work!

So this is what I did:

1. After starting Deployment Center and executed the correct upgrade, this error occurred:

Capture

 

2. Check the account in Active Directory to find out the name is truncated:

Capture_2

 

3. Rename the account using a shorter name.

4. Modify the application-pool so it uses the new username

5. Run upgrade again.

Apr 29, 2013

Please login to comment.